LibItsSecurity_Encdec.cc File Reference
`#include "LibItsSecurity_EncdecDeclarations.hh"`
`#include "EtsiTs103097Codec_Certificate.hh"`
`#include "EtsiTs103097Codec_ToBeSignedCertificate.hh"`
`#include "EtsiTs103097Codec_Data.hh"`
`#include "EtsiTs103097Codec_ToBeSignedData.hh"`
`#include "loggers.hh"`

## Namespaces

| LibItsSecurity__EncdecDeclarations

## Functions

BITSTRING | LibItsSecurity__EncdecDeclarations::fx__enc__CertificateBase (IEEE1609dot2::CertificateBase const &p_cert)
INTEGER | LibItsSecurity__EncdecDeclarations::fx__dec__CertificateBase (BITSTRING &b, IEEE1609dot2::CertificateBase &p_cert)
BITSTRING | LibItsSecurity__EncdecDeclarations::fx__enc__ToBeSignedCertificate (const IEEE1609dot2::ToBeSignedCertificate &p_toBeSignedCertificate)
BITSTRING | LibItsSecurity__EncdecDeclarations::fx__enc__Ieee1609Dot2Data (const IEEE1609dot2::Ieee1609Dot2Data &p__ieee1609Dot2Data)
INTEGER | LibItsSecurity__EncdecDeclarations::fx__dec__Ieee1609Dot2Data (BITSTRING &p__data, IEEE1609dot2::Ieee1609Dot2Data &p__ieee1609Dot2Data)
BITSTRING | LibItsSecurity__EncdecDeclarations::fx__enc__Ieee1609Dot2ToBeSignedData (const IEEE1609dot2::ToBeSignedData &p__toBeSignedData)
INTEGER | LibItsSecurity__EncdecDeclarations::fx__dec__Ieee1609Dot2ToBeSignedData (BITSTRING &p__data, IEEE1609dot2::ToBeSignedData &p__toBeSignedData)
BITSTRING | LibItsSecurity__EncdecDeclarations::fx__enc__SspCAM (const LibItsSecurity__TypesAndValues::SspCAM &p__ssp)
INTEGER | LibItsSecurity__EncdecDeclarations::fx__dec__SspCAM (BITSTRING &p__data, LibItsSecurity__TypesAndValues::SspCAM &p__ssp)
BITSTRING | LibItsSecurity__EncdecDeclarations::fx__enc__SspDENM (const LibItsSecurity__TypesAndValues::SspDENM &p__ssp)
INTEGER | LibItsSecurity__EncdecDeclarations::fx__dec__SspDENM (BITSTRING &p__data, LibItsSecurity__TypesAndValues::SspDENM &p__ssp)